Get payments
curl --request GET \
--url https://api.chift.eu/consumers/{consumer_id}/pos/paymentsimport requests
url = "https://api.chift.eu/consumers/{consumer_id}/pos/payments"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.chift.eu/consumers/{consumer_id}/pos/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"total": 123,
"id": "payment-123",
"payment_method_id": "payment-method-123",
"payment_method_name": "Cash",
"tip": 1,
"status": "Completed",
"currency": "EUR",
"date": "2025-01-01T00:00:00Z",
"invoice_ref": "invoice-123"
}
],
"total": 1,
"page": 2,
"size": 2
}{
"message": "Error while trying to perform your request",
"status": "error"
}{
"message": "The resource {Method} - {Resource} is not supported by {ConnectorName}",
"status": "error"
}{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"message": "Error while trying to authenticate to {ConnectorName}",
"status": "error"
}Payments
Get payments
Returns a list of payments
GET
/
consumers
/
{consumer_id}
/
pos
/
payments
Get payments
Path Parameters
Query Parameters
Page number
Required range:
x >= 1Page size
Required range:
1 <= x <= 100Start date (inclusive) of the period to get payments from
End date (inclusive) of the period to get payments from
⌘I